<?php
namespace Model;
use \File;

class TodoModel extends \Model {

    private static $todo_count = 0;

    private static function get_todos_from_file() {
        $todo_file = File::open_file(DOCROOT . '/todofile.csv', 'r');
        $todos = array();
        self::$todo_count = 0;
        while (!feof($todo_file)) {
            $from_file = fgetcsv($todo_file);
            if (trim($from_file[1]) == "") {
                continue;
            }
            $new_todo = array(
                'id' => $from_file[0],
                'text' => $from_file[1]
            );
            $todos[] = $new_todo;
            self::$todo_count++;
        }
        return $todos;
    }

    public static function todo_count() {
        return self::$todo_count;
    }

    public static function read_todos() {
        if (!File::exists(DOCROOT . '/todofile.csv')) {
            File::create(DOCROOT, 'todofile.csv');
        }
        return TodoModel::get_todos_from_file();
    }

    public static function add_todo($text) {
        $fpath = File::get(DOCROOT . '/todofile.csv')->get_path();
        $todo_file = fopen($fpath, 'a');
        self::$todo_count++;
        fputcsv($todo_file, array(self::$todo_count, $text));
        fclose($todo_file);
    }

    public static function delete_todo($id) {
        $todos = TodoModel::get_todos_from_file();
        // remove item and write to the file?
    }
}
?>